GNU bug report logs - #36811
Guix fails to build with libgc 8.0.4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: important; Reported by: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>; merged with #36812; dated Thu, 25 Jul 2019 18:27:02 UTC; Maintainer for guile is bug-guile@HIDDEN.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 6 Feb 2020 14:07:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 06 09:07:51 2020
Received: from localhost ([127.0.0.1]:47177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1izhos-0000l8-Ux
	for submit <at> debbugs.gnu.org; Thu, 06 Feb 2020 09:07:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1izhor-0000kv-Gr
 for 36811 <at> debbugs.gnu.org; Thu, 06 Feb 2020 09:07:49 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48389)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1izhom-0008A9-Dq; Thu, 06 Feb 2020 09:07:44 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=55910 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1izhom-0006vs-1b; Thu, 06 Feb 2020 09:07:44 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Re: bug#36811: Guix fails to build with libgc 8.0.4
References: <d8eb008a-826b-f1b8-036d-9b169df758b3@HIDDEN>
 <87d0dmprlu.fsf@HIDDEN> <4658b0b0-a67c-48b5-f2e3-b16ea91d7e12@HIDDEN>
 <874kyyo8uz.fsf@HIDDEN> <6b263a31-01d5-634d-54f1-e2f04018bdc8@HIDDEN>
Date: Thu, 06 Feb 2020 15:07:41 +0100
In-Reply-To: <6b263a31-01d5-634d-54f1-e2f04018bdc8@HIDDEN> (Jonathan
 Brielmaier's message of "Wed, 20 Nov 2019 17:06:19 +0100")
Message-ID: <877e0z95ci.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36811
Cc: 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi Jonathan,

As discussed yesterday on #guix, I tried this:

  guix build guile3.0-guix --with-input=3Dlibgc@7=3Dlibgc@8

as of Guix commit 9d0dfd9a9a7c43363a4e140c20d49f119fe6f2e3.  Guile 3.0.0
itself builds fine (test suite included), but the build of Guix crashes
like this (on x86_64-linux-gnu):

--8<---------------cut here---------------start------------->8---
[ 76%] GUILEC   gnu/packages/icu4c.go
[ 77%] GUILEC   gnu/packages/idris.go
[ 77%] GUILEC   gnu/packages/idutils.go
[ 77%] GUILEC   gnu/packages/image.go
[ 77%] GUILEC   gnu/packages/image-processing.go
[ 77%] GUILEC   gnu/packages/image-viewers.go
mmap(PROT_NONE) failed
/gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7/bin/bash: li=
ne 7: 26886 Aborted                 XDG_CACH
E_HOME=3D/nowhere host=3Dx86_64-unknown-linux-gnu srcdir=3D"." ./pre-inst-e=
nv /gnu/store/dcsjagbjlhjj40g30lb88wx3zybmh07g-gui
le-next-3.0.0/bin/guile -L "." -L "." --no-auto-compile -s "."/build-aux/co=
mpile-all.scm guix/base16.scm guix/base32.sc
m guix/base64.scm guix/ci.scm guix/cpio.scm guix/deprecation.scm guix/docke=
r.scm guix/json.scm guix/records.scm guix/pk
--8<---------------cut here---------------end--------------->8---

Apparently the message and abort come from =E2=80=98GC_unmap=E2=80=99 or =
=E2=80=98GC_unmap_gap=E2=80=99
in libgc, but I have no idea what to think about it.  Could it be a heap
exhaustion issue or similar?  That=E2=80=99s not impossible.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 3 Feb 2020 11:50:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 03 06:50:02 2020
Received: from localhost ([127.0.0.1]:40931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iyaEs-0000hV-Az
	for submit <at> debbugs.gnu.org; Mon, 03 Feb 2020 06:50:02 -0500
Received: from mout.web.de ([212.227.15.3]:37809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iyaEq-0000h0-AL
 for 36811 <at> debbugs.gnu.org; Mon, 03 Feb 2020 06:50:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1580730594;
 bh=oguvAlMH9on5rtJgnEwV0EeS700t7XaS64dQarAPkd0=;
 h=X-UI-Sender-Class:To:Subject:From:Date;
 b=RQHE69/3C/+6WhnBdWExwi+2ylavdjwmsdOo9D5zQcl3n2Fm7+uzrl2rFKpTX+7ki
 cd1pHV6ufeSN94wGccOjuOGYNej45lxkFgL4nCRUdQ70nPA4ex504X37XTw5aJJZ0o
 4q1Q5xA3uWFgRNFjEAcxHJb2EcXskfNVAZoz1Un4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from [10.160.5.184] ([195.135.221.2]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MMZck-1iteIO0iII-008MWP for
 <36811 <at> debbugs.gnu.org>; Mon, 03 Feb 2020 12:49:54 +0100
To: 36811 <at> debbugs.gnu.org
Subject: Guix fails to build with libgc 8.0.4
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <18b00b34-c9ce-e527-11de-cdc0d0461e0e@HIDDEN>
Date: Mon, 3 Feb 2020 12:49:53 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:IqCuch5zvl0aEvU1D4KlKWTz533bt56lFY0+f7Uc3fdM/lGslmu
 ReSqLnvrRwauzvwxfq6DZUeONH8NYIjr6kZ0mnMJWLhu4+IXfXHFvOcOkPCs3BcvVuWqHTf
 B2MkjDNW5SI5fgz7WoYzarKjSG4iFBy6gQgilV56fGh9NAaeu4AJKb6+w+6/5HbjGmOx+n4
 cbNTKI6baRuM2im9d5VfQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:fywQlHgEEZo=:byin1Z+6XTMy1Y/fVeVHsN
 qJjrJNkUJXrBKPqGEsBDiKNqL6kvE8Crm1tmR2uVmUWNHa05AHONKBb0k0a2LQg8EUonL5/pN
 JWN9RfDYK0CXc+ILKdviHjCTAFbZyDIozPV9u3xSdo9lK2ArBHvFzk2LjgMrbPPCDabHT8ohB
 ifINbiGY4/l38WiFX4fpWmZw55bUBDjPMk3SWjG//Mc1kQecAIubH2N6o6/YQzBzS4Ejmh07V
 a2c36iNWOZTBpNSq1NlaHNpetZkoSqaDwCWjhchApzF4dzrCbA8n20iFFxO98xDbacuN7REzl
 dS2hKMUQ8atDKxjly1fjTqoHnOvGap+xkzPJN+0XUsg/cpAa8icA6SrQXLGVKxQz3Wrb7AA74
 OEc+EEGxMznBVJd2/1pOn3mKoMGdyydZB9BhSwn6R6lU8SMCZ98BxwRr/7WBLRHSuohgnmZYc
 TlE73yxB8SXsiM7NJpiWog/ipxVwa1+DTKLzjeyPEnd77utWcr/+wRSu0kE2onRLRZxgYP68X
 L69RvGjX/u6U7mccsfS1lmjYIqRAJWjZenCB6HedwhSbr1Cm7ccDfvXnscy72v51K1wzfo8Fl
 2h3VPxXqSfFIpqMfng+FH4IAkG/6XvXVV3Coa+aXy0laDHW3nJPgNKc8/Hkt4XL/bf6/iDTgy
 KQ/m4n9HYwmwg3BrctwsH6OCe4EKgOhzUMNbV7ZH04vv+psLzooCu9EIQPVpw3/EnJ8vUv3Jq
 w1DUbWcxPxfpNNYhMYxjpFBrsSWNvZ1lCxnE2HrZGOunYM60pOBcamm6herhyDWF+iuVkXjUr
 id7ohkJYqHZ2aGWRybs3a8zJgn/6K70GHEUqQCe0AIce5KVeuHVTvelw/oBUrPnALp4xPZN02
 seNfVaABjE4G9Jtm/J9R6TBSi8W7ktFn/5n/sLQ63aCxKbNCm4u7nZnKUtIffm/EnTHp/t47K
 /4pa6YHQ4CYu9BT/+xNmb1FnypXr71rSMt+vDK7kr+J8uQHhx7QV6yNKTYGhf0LyknK5SXxpC
 ICkZnd1FOxn7daS4H2QN19LUrxgmKkPcGxqSXtHpDD5XBNsrBXIV1b0sSfbT3uoGsCwvQCUA4
 I0k98z3Z47viYTCuDDDUlpm2atcNBXqQGyB8lQq+5GQQXjGhnHg4+aYBv2jq06AWYU5p14PK2
 JgEJ1uyNkp17mjfSNaj+vghj+NfbST36NaHyjnqA9JOUD/+0Scf1QwpaWtrSQRTWsfH10ecOf
 WN6veEXwddlzVREDh
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36811
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Just for the record: Ludo added libgc-8 in
69961ac3b9db2dbb99abb5c45ff6be3a9c01b5de on master. It's not yet used,
so we need to replace libgc-7.6 with it and see how it goes...




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 20 Nov 2019 16:06:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 11:06:33 2019
Received: from localhost ([127.0.0.1]:50748 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXSUy-0002Wg-WB
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 11:06:33 -0500
Received: from mout.web.de ([212.227.15.3]:58153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iXSUw-0002WS-8w
 for 36811 <at> debbugs.gnu.org; Wed, 20 Nov 2019 11:06:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574265981;
 bh=HJPTy+o3BThtSY/CfH0IlMkV1FE9Qtap3RSufXjdrNA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=BmNlLgp7RfDHbpUwtodwrRu00sWrtsvLdLd70X7DCoTzbWOPk4ytDYMqnczgODoK8
 aglCPmipskcQx0BVa47q53RtIL0KN41T2IKG2p/XiAQ1Rcggqdw+AJquz0kHE21knx
 f1Lo2YTtiDVt2iYbTrPjxN78XaEBIWayA5+rY6EI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from c465.arch.suse.de ([195.135.221.2]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LsQDw-1hrhjQ3pDE-01230h; Wed, 20
 Nov 2019 17:06:20 +0100
Subject: Re: Guix fails to build with libgc 8.0.4
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <d8eb008a-826b-f1b8-036d-9b169df758b3@HIDDEN>
 <87d0dmprlu.fsf@HIDDEN> <4658b0b0-a67c-48b5-f2e3-b16ea91d7e12@HIDDEN>
 <874kyyo8uz.fsf@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <6b263a31-01d5-634d-54f1-e2f04018bdc8@HIDDEN>
Date: Wed, 20 Nov 2019 17:06:19 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.2.1
MIME-Version: 1.0
In-Reply-To: <874kyyo8uz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:DQRl1nVL+X9hIqMtdjugMxLTGa2vbrmQ1UYgT25/qVj+74KKRL1
 zW1wXtsHSLGDpXLog88FOo/G2jjs4gEa4kmguNJrRkji/nlowUA5KyUW9jE0lu8hPVFBo47
 VPfIw6asAB8INJQKmQ8yFYlSha3FjAfpE5jezBKsQNP2zfjTqftZcEeAHpqqXo+iUjqRP+h
 A1cS8tQftiQhCosOOOOVA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:gql4rfpi+cs=:xt2kRVsCLiOsnsx9qIJ8VN
 iw8gfWod4KRtWyuLwOKHeneXtQhW7rziv7IDKsCY18mL1yDH0UQSgHhArSGtwTfsYc6WR54IM
 j5NFSREVvkqHRrmLJZaE9AkIhrYWPSJO4H0r3G8Pb0B8pcbUpMYpmwewEauxT30vrsjaRimbV
 FtG2/0j59v1k5kw7+/iQsjTMOprOnsiDwtPDYwa9JXEHoGbinVlq0ENAqypjbrOq//nxUlg0P
 OiDzfdBoPpiv15bdjAb/NUaNCcx9jBgeuGoGs1U12dNMYPWeVj89Af1hOSH3oA5EnHcC1L8ld
 Hb4rpuoGOGYCt2Z6CyV4LqHac4Xv0SmrtzxiJx6pQk/lDpjMgN9T9JUyGcejl4eu/IkAOvz1m
 0jR3qjM31YvONCNk2yC0w/QL0rK+05438QgMHM3B1zDEOFLEj7WYzG0CS4xKT9w9DFXjM59O9
 qKQqLadBseSzlyOr+c1am4Zc7wpt3yC+xKbSWZGGboX8G2kw5iVvkPJ5OkRjo4DWqqcgMjQpU
 HejVWGB9KfEJU8d/qoLDkEqdOWw6qvk4lp7C3mxqbQ3sge891hKLJCr55MX7Wf+PVYXXkSvbb
 TMAoCVW/keNDjAyJkeIvHbKYfHl6y7as6O9b+J8DLEhZlsjDDF35WSFxJjQ0hxev3NBgaT1Sx
 zXmVtIYOKWyJAjmzEOQ8GSH8zeSER0/VdErp4X0XBqL54uFr/dae0IVx/o1/QadyDqMlFgsd5
 AB5WRKA1fF6GVtHA/QDyDU7zfb1jKlKvYUGXmrNLw1Yf1c1Ke9XAbJmqvFb5BhizxvzYy1eDD
 BF44BjKSgNwKlXGWabm62PwXNv52PPqFT1Td2fJ/sKh1Ej4SOjXE0H5hjgrTlveTpl0X2HLh3
 xGdDUNGSHxsTnI/yP2TywYLanqhXaGgPYgbVszaovhrKxDtwecqBLHRpD10V3R1CQG1HtgAqo
 7wKUTIo/h30/cUw4v2flr7T2iiQRDCoxwdk2O8IZ41TLgkZjG0kib8fVxymG75bHqrC0S3fMS
 Y0iR1zhYkkF7i6FSOc0dcutWzjoqeBjkEIIgQnTTgoSkj4n2lCvAvZruvqt168OTdSgV3RSM7
 MvDHQvN6Hd8Ygi0hc0IqH/TGn4fS+xhWk1dFlzv3/mqlPXDxwYYTKIMhQmSTxQ3zVMMOR9p2a
 2X+TJc+eSAsgFdnlI98fSl0SZ5jVRe2ukzu/ThyiDwf+M8Av9rpRxnICT3KOpluzxYUSdGoeD
 eSpJSLFmLiVDZwkqxNK2BXdzhCqeXoM7ZMRhFtYo3SvTxQaki81uy2ixREzc=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36811
Cc: 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 20.11.19 16:39, Ludovic Court=C3=A8s wrote> I think so, yes.
>
> Can you post your patch to the libgc package, though?  It=E2=80=99s weir=
d that
> Guile passed its test suite but then crashes when compiling Guix.

I already posted all I have in a previous mail:
https://issues.guix.gnu.org/issue/36811#3

For the openSUSE package I just build guile against libgc 7.6.4




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 20 Nov 2019 15:39:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 10:39:27 2019
Received: from localhost ([127.0.0.1]:50731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXS4k-0001t4-Pb
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 10:39:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55260)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iXS4i-0001sr-7u
 for 36811 <at> debbugs.gnu.org; Wed, 20 Nov 2019 10:39:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42445)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iXS4c-0005ZT-SX; Wed, 20 Nov 2019 10:39:18 -0500
Received: from wifi-eduroam-20-234.siege.inria.fr ([128.93.20.234]:51940
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iXS4c-0007Ln-Bv; Wed, 20 Nov 2019 10:39:18 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Re: Guix fails to build with libgc 8.0.4
References: <d8eb008a-826b-f1b8-036d-9b169df758b3@HIDDEN>
 <87d0dmprlu.fsf@HIDDEN> <4658b0b0-a67c-48b5-f2e3-b16ea91d7e12@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Brumaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 20 Nov 2019 16:39:16 +0100
In-Reply-To: <4658b0b0-a67c-48b5-f2e3-b16ea91d7e12@HIDDEN> (Jonathan
 Brielmaier's message of "Wed, 20 Nov 2019 15:16:53 +0100")
Message-ID: <874kyyo8uz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36811
Cc: 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> skribis:

> On 20.11.19 15:09, Ludovic Court=C3=A8s wrote:
>> Hi Jonathan,
>>
>> Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> skribis:
>>
>>> This failed with the same result:
>>>
>>> /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7/bin/bash:
>>> line 7: 25584 Aborted                 (core dumped)
>>> XDG_CACHE_HOME=3D/nowhere host=3Dx86_64-unknown-linux-gnu srcdir=3D"."
>>> ./pre-inst-env
>>> /gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/bin/guile -L "."
>>> -L "." --no-auto-compile -s "."/build-aux/compile-all.scm [*.scm]
>>
>> So you built Guile (through Guix) against libgc 8.0.4, and then you
>> tried to use that Guile to build Guix, is that correct?
>
> Yes, that's what I did. So the problem really is with Guile not
> supporting libgc 8.0.4...

I think so, yes.

Can you post your patch to the libgc package, though?  It=E2=80=99s weird t=
hat
Guile passed its test suite but then crashes when compiling Guix.

Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 20 Nov 2019 14:17:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 09:17:07 2019
Received: from localhost ([127.0.0.1]:49190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXQn4-00081c-OA
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 09:17:06 -0500
Received: from mout.web.de ([212.227.15.4]:50147)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iXQn2-00080t-HP
 for 36811 <at> debbugs.gnu.org; Wed, 20 Nov 2019 09:17:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574259415;
 bh=FtFOGaJkTdcSLmpq7+osfC/NlftkOLy/p5egCl3X05A=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=JV/6bCXQ/jwI/gaG5cMqf21CfKDJbBitXaNRGysRVdjQ7vWxRG7nO1yYysN4DwLr8
 hoJwUL2iZai8XHFR5WmWJeidmdy2HPddReg2MMRgquik5nxGvJl5D0j/J1XvbMT4Tc
 P1d0kMIRAO2s/7uXyUWkNAJaLpWDpMV22VyyC6o4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from c465.arch.suse.de ([195.135.221.2]) by smtp.web.de (mrweb003
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LtWsu-1hoRNr28Bg-010r2Z; Wed, 20
 Nov 2019 15:16:55 +0100
Subject: Re: Guix fails to build with libgc 8.0.4
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <d8eb008a-826b-f1b8-036d-9b169df758b3@HIDDEN>
 <87d0dmprlu.fsf@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <4658b0b0-a67c-48b5-f2e3-b16ea91d7e12@HIDDEN>
Date: Wed, 20 Nov 2019 15:16:53 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.2.1
MIME-Version: 1.0
In-Reply-To: <87d0dmprlu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:ZPN1QijhwrYOyp24M7I+NgaK+fCvvyTrwczbMSVqD47/ITcfD38
 CmPqs/HuPaGRarhjkVrLQ3kxad2cnQAa1PLId4aT6TB98AAGEXT8qBvbAqk8eGgXokzSApR
 mGnw/QuaLMiqtlbJMTZBrKOuw4VkNvZg5s1DRB+DQoMRN5JmrJJX7rnZBzv8gDiRkcpZ5I/
 EI9rSw1JCh34jY4nwCL/A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:FHvIrkXqSo4=:5f7kGTxUSh2HzbYgCDMUU6
 oWVVcOXOL+fPoIWsoly1lBJGAp1d5DxNQMCiSumUvt0Vla/D3oGRd+FCKP5/g6ejBiObS1cS+
 LxQUvoCbsMU9/oxi3wfvoAL/RtEDDeAFjvDfOscu9XDOMFx/FZcF7UfuEzaHy6SeUNLC6H4tg
 y14oSGaviUg01MZoHFEf8qRhkKcTx0xV+3Nn4DEY+3SuRTmOQTaWyrcCz31yBAFov2OBALbTL
 VRq4AMwtrFcYar+Xz1Kk1v5lqyUyqZ4MONr0zz8B4njnm6z6fdEqc+nbXU+LVGU/F51DjsEO9
 6yjGDn5KjdzSq8sAE/lS0A2FV4MD/fiT96Fgd1cLJd2/6zgroLeeluMp0Ryyzc5dSgjGrjM20
 1cfbAzB17OYS2eN5/v25TPt1lx5pUuAL3iRB9FuvUIQ7zPdkoiksK5dbYS0xH7Pt1EeaiyIxg
 TKKdW/wXdBYfmsK9E7IeGuEE9U0x1hJGd1d76MzZgznzkvbdYgUzk3+4L5IYbVe/lplXLOZI3
 C4OmuwGOHYdhhiaRlsfH/iPdJPrhQ78dROWsQyMQCSNNEQ1hIxI8LhCN2eqMsa51+QPnLw2jp
 wzXmpgEEgBtkvWV5s5eDwEIjXZvMaJHM1ypHEnMtSmPyV8YaKckQHfQ49Uu1UXsfu2WfZvO8D
 CaATCbN5MrTgM+JJ4QwqUgcyBVcSB9OpNy/OVBIUXW/pN0M+nnn11lNkkp8DxU7XSAU2f1LBI
 XTeVc/11MiNyGBMZy8+hXrVUudIGP7wZnEBuboepg065KaRrEwJ3N/k9pKnIKEvmA2Cm9k7Ov
 kjspRjQE9dSaKQlAvbvEEmB0tU5YgHS85Uno98RhX7ucG2YEuX15Q0lsNjJ3yysQMet5nBYQZ
 Z+1QHB8mIQSGyixCY4JKnX6VOidhOaFV41BOF5BgncyHFQ/4HyuR7KwfXSOIcYmN1NrYjZaLT
 /tJ+QIb3MzL+aDR6Vf7S/eqogmhUZtUtZS2TmNCudbM7qHwnG6xZSweQIych22cB1aHrU+EcX
 AHMWZS+TJJ701mR9cvjIWpX3H7/1mAX9FDwuz8ofKASpzogXJJcRzrDC2c6YQ5r9Fw7bLReBe
 ElneI2zhwMnVeX3iiSB8AckmSH0doj1Y0hFdkSvAxWdwpCY1zdvXF5HZV216wWdi2waQ/khn9
 /lBWY0O0gcyS4RFGhOJXc0h78hhCkc+C2MYWMRHIdG7E/K2AqFepfcVtIaXbLQEN2SqJE/V8O
 itCj+UulQaE3BMeuy+nv83IExIUMAdmkQhBQS6uAXBDxFJDzcYNrD01oEQv8=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36811
Cc: 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 20.11.19 15:09, Ludovic Court=C3=A8s wrote:
> Hi Jonathan,
>
> Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> skribis:
>
>> This failed with the same result:
>>
>> /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7/bin/bash=
:
>> line 7: 25584 Aborted                 (core dumped)
>> XDG_CACHE_HOME=3D/nowhere host=3Dx86_64-unknown-linux-gnu srcdir=3D"."
>> ./pre-inst-env
>> /gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/bin/guile -L ".=
"
>> -L "." --no-auto-compile -s "."/build-aux/compile-all.scm [*.scm]
>
> So you built Guile (through Guix) against libgc 8.0.4, and then you
> tried to use that Guile to build Guix, is that correct?

Yes, that's what I did. So the problem really is with Guile not
supporting libgc 8.0.4...




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 20 Nov 2019 14:09:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 20 09:09:12 2019
Received: from localhost ([127.0.0.1]:49177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iXQfQ-0007p3-85
	for submit <at> debbugs.gnu.org; Wed, 20 Nov 2019 09:09:12 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iXQfN-0007op-OV
 for 36811 <at> debbugs.gnu.org; Wed, 20 Nov 2019 09:09:10 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40811)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iXQfI-0004HW-E8; Wed, 20 Nov 2019 09:09:04 -0500
Received: from wifi-eduroam-20-234.siege.inria.fr ([128.93.20.234]:51730
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iXQfH-000897-7x; Wed, 20 Nov 2019 09:09:03 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Re: Guix fails to build with libgc 8.0.4
References: <d8eb008a-826b-f1b8-036d-9b169df758b3@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Brumaire an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 20 Nov 2019 15:09:01 +0100
In-Reply-To: <d8eb008a-826b-f1b8-036d-9b169df758b3@HIDDEN> (Jonathan
 Brielmaier's message of "Tue, 19 Nov 2019 14:33:56 +0100")
Message-ID: <87d0dmprlu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36811
Cc: 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Jonathan,

Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> skribis:

> This failed with the same result:
>
> /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7/bin/bash:
> line 7: 25584 Aborted                 (core dumped)
> XDG_CACHE_HOME=3D/nowhere host=3Dx86_64-unknown-linux-gnu srcdir=3D"."
> ./pre-inst-env
> /gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/bin/guile -L "."
> -L "." --no-auto-compile -s "."/build-aux/compile-all.scm [*.scm]

So you built Guile (through Guix) against libgc 8.0.4, and then you
tried to use that Guile to build Guix, is that correct?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 19 Nov 2019 13:34:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 19 08:34:13 2019
Received: from localhost ([127.0.0.1]:46765 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iX3e0-0002DD-Gv
	for submit <at> debbugs.gnu.org; Tue, 19 Nov 2019 08:34:13 -0500
Received: from mout.web.de ([212.227.15.14]:58977)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iX3dy-0002D0-Rd
 for 36811 <at> debbugs.gnu.org; Tue, 19 Nov 2019 08:34:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574170440;
 bh=ZpCK975Nmz631dSXf+nrX2ppC3tjvaMPr0XdZ3Ju5ww=;
 h=X-UI-Sender-Class:To:Subject:Cc:From:Date;
 b=KypuPNN08NzGrYAdusXEcthIlDEQfMv7E9yNeV6QJvf12O+d5MwQep8oBKsQUlCNz
 diYAsF+dNvELalxS6XF/qvnr9x2bnFkKMlesjuUvB21ykx2JpeFF3p7XEC/KlT4qCX
 f3RICaBvCFP/YqIsYVhLkW9HxFCFLrJOFw/xC0Uc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from c465.arch.suse.de ([195.135.221.2]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LrHMi-1hs6iB3gUO-0133Tu; Tue, 19
 Nov 2019 14:33:59 +0100
To: 36811 <at> debbugs.gnu.org
Subject: Guix fails to build with libgc 8.0.4
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <d8eb008a-826b-f1b8-036d-9b169df758b3@HIDDEN>
Date: Tue, 19 Nov 2019 14:33:56 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:sVfdRxInBg9hvK5cFFNkJjInB7eSyX3QfafW1mQhCk6QDu2M+YB
 WAqRpfPT/V093ANz5WLp+pR7SlBGz8Fs5ovF/n9nTe7UPx/RoEdSuZaqxQDlRL8X5vdag7+
 qEPbA7Xge+Unick4wi0/U1qWQv7VnWzJuQ6I0JNy9bZGssd8Zqxj7+F7I1He3LSzoutVVQO
 YwiC5DXoqqMAhcZEkNn+g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:RVJd4EpUx8A=:Jw2kmjr0O+SU3J2OlUXvjh
 RiI6tdZhYgdLPJ6DLx0X4wGq1NsXXoTxaoM+56q4UwDwLTbSf1Dw0XOL1zexP2dL/Vf6xcpbo
 aEtPh1WLrabU5MrHCiLSZJ+mqu0QaqmqMC8zqrgSHTjBMG47ptSlLSQVRibq4Cv02sVXbLV7n
 3dS0QrQ2lJaFyBNyAVtSVU3gSI/t/VRwmMcA+fgaTYxH7Cu4nRFCJChS07XU8l0p6jmQ2Q7AB
 FXqGASkES6I1008PR/BSJYEXYNdl41+XF/7PEPM+VmMxdIhYfz+hlw9UdDT5iTLyxKL1eGeus
 ZrcWZVw8KUvMewLgSOA31b3kj5yVqK4xddqfnP3MopKPf3XnlWP93Qk9hdWMD3BXEPKnofO7K
 KDPhW8cxbVC197X2b6aEK83fZdXuNg0O21DmfUQjTfGgoDsSDU4PAhm1uBg3BuiRit7YPfens
 e5OLytCgOnqkjbkkv68nnYSaQd5AaT0vrYzm1ZVYFNBLTcxVASHnNDA9ReOowMjGbYrpEZSBw
 I3NnBtPyy6o4m61a8zcUzPpaolfGklnXhzhPEbgsfwPIxCRVypT/WiwPbb1IOjRW0+tvGroLK
 22sgxplBzs4U4oc8caWTF5vpQzOCjaqGNgvMyPQInT9DTv+ODIoB3NXHKy/caxn8WcoKDKQ/J
 ln2aRuetXAI6imP44pVhfmmIMEGmesxcKL8lDIAIBLUWEi8UTbrTP35zPY6IJPm94E6EAlkEl
 55/EEYVxNvb5VZJreIoOzhyivYDiKUKSmzdtubUDbsu9AqV0+m6ojqvc26nhWTTAWvbuEHO5d
 Fi4aHK71ARxnfotaLxwyEdELfV7tb2LOeXn4WgHCO1lQYzPJG8n6DexffoGqGg9/d30Bp5Bu3
 iidgU+qEGQrWgz6kOgw4Sml1DT6mHUwtybEk3ia+I9zmSWQDuZXpWrIrqL0y5RGy8N620ap2f
 blwIhO/S8Z+spZFMp4H8x1TvrfmsYJPv01TfNWhhPAFGeZIRxfuN4g4OLNRa4IIH0k7Zc3Xxd
 MNXkwxTd+bm2B+TLry85hasnzm4ztJ8AtTefGxVOJoBrqipm9wHp91hIVDPb7FJC+DuiJ5AvX
 meByb+APeIE37qYzjnWqr9yLnCD2ImpztSLJhj5auOq+UgBuJNlc+C2myaS+UlSahAxYo9KI6
 jTuNtbpiBNS2n1Le4Sd/x3YmNdHBNBilhEC/sW503Rp/9tb/qsQsj7q0ahbpkHUKFYIUkAuo+
 FZGPPPfYhYv9rt9THbEEU5Q1MOd+3zC9ufV88VfQJbvmpKCaL53KjO4Ye798=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36811
Cc: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This failed with the same result:

/gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7/bin/bash:
line 7: 25584 Aborted                 (core dumped)
XDG_CACHE_HOME=3D/nowhere host=3Dx86_64-unknown-linux-gnu srcdir=3D"."
./pre-inst-env
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/bin/guile -L "."
-L "." --no-auto-compile -s "."/build-aux/compile-all.scm [*.scm]

Core was generated by
`/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/bin/guile -L .
-L . --n'.
Program terminated with signal SIGABRT, Aborted.
#0  0x00007ffff78bd7fa in raise () from
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/libc.so.6
[Current thread is 1 (LWP 25883)]
(gdb) bt
#0  0x00007ffff78bd7fa in raise () from
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/libc.so.6
#1  0x00007ffff78be891 in abort () from
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/libc.so.6
#2  0x00007ffff7e404ee in GC_unmap () from
/gnu/store/ak1jbgi0pfrvyqkgl1y1k1gl4qadjiqv-libgc-8.0.4/lib/libgc.so.1
#3  0x00007ffff7e405d1 in GC_unmap_old.part.30 ()
    from
/gnu/store/ak1jbgi0pfrvyqkgl1y1k1gl4qadjiqv-libgc-8.0.4/lib/libgc.so.1
#4  0x00007ffff7e47882 in GC_finish_collection ()
    from
/gnu/store/ak1jbgi0pfrvyqkgl1y1k1gl4qadjiqv-libgc-8.0.4/lib/libgc.so.1
#5  0x00007ffff7e47cf5 in GC_try_to_collect_inner ()
    from
/gnu/store/ak1jbgi0pfrvyqkgl1y1k1gl4qadjiqv-libgc-8.0.4/lib/libgc.so.1
#6  0x00007ffff7e4b570 in GC_grow_table ()
    from
/gnu/store/ak1jbgi0pfrvyqkgl1y1k1gl4qadjiqv-libgc-8.0.4/lib/libgc.so.1
#7  0x00007ffff7e4bc8a in GC_register_finalizer_inner ()
    from
/gnu/store/ak1jbgi0pfrvyqkgl1y1k1gl4qadjiqv-libgc-8.0.4/lib/libgc.so.1
#8  0x00007ffff7ef55f1 in scm_i_set_finalizer ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#9  0x00007ffff7f12b3e in scm_logior ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#10 0x00007ffff7f66062 in vm_regular_engine ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#11 0x00007ffff7f69fd7 in scm_call_n ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#12 0x00007ffff7edd3b8 in scm_call_with_unblocked_asyncs ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#13 0x00007ffff7f6779f in vm_regular_engine ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#14 0x00007ffff7f69fd7 in scm_call_n ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#15 0x00007ffff7f57726 in really_launch ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#16 0x00007ffff7ee635a in c_body ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#17 0x00007ffff7f6779f in vm_regular_engine ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#18 0x00007ffff7f69fd7 in scm_call_n ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#19 0x00007ffff7f58c12 in catch ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#20 0x00007ffff7ee6940 in scm_i_with_continuation_barrier ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#21 0x00007ffff7ee69d5 in scm_c_with_continuation_barrier ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#22 0x00007ffff7f5784c in with_guile ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#23 0x00007ffff7e3ec78 in GC_call_with_stack_base ()
    from
/gnu/store/ak1jbgi0pfrvyqkgl1y1k1gl4qadjiqv-libgc-8.0.4/lib/libgc.so.1
#24 0x00007ffff7f56ebd in launch_thread ()
    from
/gnu/store/xrcl2csd0ps5n0zwj8r7knkxjnz4pfbh-guile-2.2.6/lib/libguile-2.2.s=
o.1
#25 0x00007ffff7e15015 in start_thread ()
    from
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/libpthread.so.0
#26 0x00007ffff797b91f in clone () from
/gnu/store/ahqgl4h89xqj695lgqvsaf6zh2nhy4pj-glibc-2.29/lib/libc.so.6




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 19 Nov 2019 12:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 19 07:14:37 2019
Received: from localhost ([127.0.0.1]:46721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iX2Oz-0004sh-Hw
	for submit <at> debbugs.gnu.org; Tue, 19 Nov 2019 07:14:37 -0500
Received: from mout.web.de ([212.227.15.3]:40497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iX2Oy-0004sV-MG
 for 36811 <at> debbugs.gnu.org; Tue, 19 Nov 2019 07:14:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574165669;
 bh=k8XuRYv484z6fcbrfTScVC6EdYco+Ifpj48BohIVKPk=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=YxxvlxJtsjmx4XzXqMaj74ZS8lu/EyvA/Jo9evIUeYWgMZ3o/zjGB5qKXAe4mtJJQ
 syMNLQkEB3QFYQ653JuCt8LQRZup8pAlFxxhcmDt9+iWqtudi6ISULGvmhjy7gpG3Z
 hAxJ1UZaVnN2BKEj9B4gyy6aECXOi6QGuT7h3OEI=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from c465.arch.suse.de ([195.135.221.2]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MKaDH-1iXJR828Wt-001zRF; Tue, 19
 Nov 2019 13:09:21 +0100
Subject: Re: bug#36811: Guix fails to build with libgc 8.0.4
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN>
 <87o8x9i87h.fsf@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <7fa97933-fbb8-8cc1-0f6a-f67cb4436712@HIDDEN>
Date: Tue, 19 Nov 2019 13:09:19 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.2.1
MIME-Version: 1.0
In-Reply-To: <87o8x9i87h.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:mpHBR+h+jWaGXAwauajcbMcarPMXlqAD5eQD5hQF/bUvuNOO33P
 x2Dyi1kfP31EE2Oj1NJpi1sg4zbR0ANOg/f6onZHfyR13UG+qhjFWRyRM9funYcBpIYjokJ
 Q7Hc/4r2OPTQt6ooox1OXvjBjGsFbYEyw0QMcn0aRFEyQK3ybgASpn48m9LOcTCQZPBCnlI
 s0o4M9+YNdQlDhtk3vWxA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:XSQcllneStY=:JLmwXglQJ4IEkM32bj+g4i
 pwUrssRxzQqqDtnKxHafixz/Le75lTYIp9kUbH197LPLj4Z6MsKlEtg3477/0Z2iQ5AHp3QcZ
 2pbxPFIGsNVkUU0m1+Tsq3hVm8BD8inrRc+zAK70gzRbdVYIl6KGWzABV0IeTZ2FsVMknpzSn
 74OMOtaOidi/yN2h8Efb8+gF+a29guVA3moSsklA9ToRHC4f+oTsW6xRv97R660g9h0z+SPvF
 zCNMcYhq2haKGhPy2VzI316N9UT+ieBzrUquokt3d01W6ucIQOXt9uRNIsS1/M8Y33r4GFkuF
 WzBWboVFy/kyY/UGgshQzXu4byFFHTiBBpp21LAR2IMNk+FTG0tc3+Er1P60M4wZRs4zttFNw
 +4K7W/8MVwEYfj6E3NlAqYupRpvoGir3ydP+OV4G6kCr9HiDz0xQwMUf+Lmfgzxq/khcE4OEn
 XfifM/LqDJOI/pFNQXqfpQ7fS8wQnW739QSFx3dVZyii/+alJBW7FUaja2sRxBzaod+jGcETG
 UiEKgIkpsHQ5blJxYWHBr0Kgo/Y4L/RN0k8StkHhKtHRTVLskGlvKBss1fQFz13Zynl3f1QQ/
 NMtvobbGaNeXmDrBRXqVhoh+ASSv48X5MG5ykl2IprA5PXrYu3wxS8e6uIhbDwl/RhHV9K1HV
 sWuLNSjObh8IFrPPTI5od22Yet/AS60RD9zh0s+r9ucKQ/z7ja60M5S/ei91OvrBRnR3JCqBV
 cYn3vkgalt487urje6VLWKfJlK/R5SnvwX/BcqQdD6T4nZhSdUzxcKTdaR8QhJ4B49jC9gR5S
 d/vbF9c9L9CuwcpYJDK3E3ylifxjzVDlK+1eiWalq8mvwZHHqd7L1l/sfsIWjFzzlj81BqL6H
 MJrihcWCTP2jLqFAkCh6BoBiqjN5fd/gpkoCF/UlhzBIDOCTah1Tf/PSgJSzWMCeXGGK2qVCC
 sKekmrGML5RyBZPAo6CBb4GH6DJWvAGjVxNsEa1GSVCbx7TOVhUgWQNMpuQDXeS/43l7ougyY
 6ehNADssYj1eBEc/cDKW/sQvBJYzNNL8o9jb0nCGsf7lqnP9GNeC/EjPPDj5kXt5BlGphTf/R
 CU1wWnl1zyiIaQCZBMpMM85s8wwYTQT8E6wziuf6r5z7V1nQ8TRIlXRVDW7snNYjOf6y4NCCc
 SFlPheOFaT7IoDkK1bwsq6xogGNnxRUYa4aoS/7nz+ar6c+DDn0YRcnXH4PWjBGoidPHRBSX6
 KvvAsqHSf/Ikei9/mb919dtD7IqqZx28DDnNRDHbmQM8JwDOM+GlQkCET8z4=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36811
Cc: bug-guix@HIDDEN, 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 18.11.19 15:13, Ludovic Court=C3=A8s wrote:
> To isolate the problem, how about:
>
>    1. Defining a Guix package for libgc 8.0.4;
>
>    2. Running =E2=80=9Cguix build guile --with-input=3Dlibgc@7=3Dlibgc@8=
=E2=80=9D (or
>       defining a package along these lines).

I did this and the build was fine as I expected. Guile builds fine
against libgc-8. But building Guix with a guile-libgc8 goes wrong.

I got now this little patch and try to build guix with:
./pre-inst-env guix build guix -K

```
diff --git a/gnu/packages/bdw-gc.scm b/gnu/packages/bdw-gc.scm
index 7196ffcd32..172833780f 100644
=2D-- a/gnu/packages/bdw-gc.scm
+++ b/gnu/packages/bdw-gc.scm
@@ -91,6 +91,19 @@ C or C++ programs, though that is not its primary goal.=
")

     (license (x11-style (string-append home-page "license.txt")))))

+(define-public libgc-8
+  (package
+    (inherit libgc)
+    (version "8.0.4")
+    (name "libgc")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://github.com/ivmai/bdwgc/release=
s"
+                                "/download/v" version "/gc-" version
".tar.gz"))
+            (sha256
+             (base32
+              "1798rp3mcfkgs38ynkbg2p47bq59pisrc6mn0l20pb5iczf0ssj3")))))=
)
+
  (define-public libgc/back-pointers
    (package
      (inherit libgc)
diff --git a/gnu/packages/guile.scm b/gnu/packages/guile.scm
index 4419c48d1a..bc69488fa2 100644
=2D-- a/gnu/packages/guile.scm
+++ b/gnu/packages/guile.scm
@@ -250,6 +250,14 @@ without requiring the source code to be rewritten.")
              (variable "GUILE_LOAD_COMPILED_PATH")
              (files '("lib/guile/2.2/site-ccache")))))))

+(define-public guile-2.2-libgc8
+  (package
+    (inherit guile-2.2)
+    (propagated-inputs
+     `(("libgc" ,libgc-8)
+       ,@(srfi-1:alist-delete "bdw-gc"
+                      (package-propagated-inputs guile-2.2))))))
+
  (define-public guile-2.2/fixed
    ;; A package of Guile 2.2 that's rarely changed.  It is the one used
    ;; in the `base' module, and thus changing it entails a full rebuild.
diff --git a/gnu/packages/package-management.scm
b/gnu/packages/package-management.scm
index 1daab4e879..d80e71749d 100644
=2D-- a/gnu/packages/package-management.scm
+++ b/gnu/packages/package-management.scm
@@ -285,7 +285,7 @@
           ("sqlite" ,sqlite)
           ("libgcrypt" ,libgcrypt)

-         ("guile" ,guile-2.2)
+         ("guile" ,guile-2.2-libgc8)

           ;; Some of the tests use "unshare" when it is available.
           ("util-linux" ,util-linux)
```




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Nov 2019 12:09:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 19 07:09:38 2019
Received: from localhost ([127.0.0.1]:46714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iX2K9-0004lc-Q6
	for submit <at> debbugs.gnu.org; Tue, 19 Nov 2019 07:09:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:43327)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iX2K7-0004lT-6f
 for submit <at> debbugs.gnu.org; Tue, 19 Nov 2019 07:09:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53894)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iX2K5-0003wB-Ud
 for bug-guix@HIDDEN; Tue, 19 Nov 2019 07:09:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1iX2K0-0003V2-TD
 for bug-guix@HIDDEN; Tue, 19 Nov 2019 07:09:33 -0500
Received: from mout.web.de ([212.227.15.14]:58593)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jonathan.brielmaier@HIDDEN>)
 id 1iX2Jy-0003RO-FO; Tue, 19 Nov 2019 07:09:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1574165361;
 bh=k8XuRYv484z6fcbrfTScVC6EdYco+Ifpj48BohIVKPk=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=Ov/weo3fgdS842Pd+7vV7ZX0w3gnepcBpPJ2Zhri/vScGtidUw701HSO4xdivbZdm
 60k8pH1nBab+7JuVG52G763L+H2EVNo+3ynT8cVvuXKHimWC6V/y77qIw+/t2MigNR
 saehYdXeaRHGh2gvqWnt1XVjizweTFMHT1J7kbF8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from c465.arch.suse.de ([195.135.221.2]) by smtp.web.de (mrweb002
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MKaDH-1iXJR828Wt-001zRF; Tue, 19
 Nov 2019 13:09:21 +0100
Subject: Re: bug#36811: Guix fails to build with libgc 8.0.4
To: =?UTF-8?Q?Ludovic_Court=c3=a8s?= <ludo@HIDDEN>
References: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN>
 <87o8x9i87h.fsf@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Message-ID: <7fa97933-fbb8-8cc1-0f6a-f67cb4436712@HIDDEN>
Date: Tue, 19 Nov 2019 13:09:19 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.2.1
MIME-Version: 1.0
In-Reply-To: <87o8x9i87h.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:mpHBR+h+jWaGXAwauajcbMcarPMXlqAD5eQD5hQF/bUvuNOO33P
 x2Dyi1kfP31EE2Oj1NJpi1sg4zbR0ANOg/f6onZHfyR13UG+qhjFWRyRM9funYcBpIYjokJ
 Q7Hc/4r2OPTQt6ooox1OXvjBjGsFbYEyw0QMcn0aRFEyQK3ybgASpn48m9LOcTCQZPBCnlI
 s0o4M9+YNdQlDhtk3vWxA==
X-UI-Out-Filterresults: notjunk:1;V03:K0:qdYaWfDMwCE=:Nwako5zvEZXS64UcpzO64F
 Mk81MLjPcKji90MigiSSUMrOY3fu3SEE58lXNfJKmzK1N0YwnFKRS6ialkZgwiqnCfy0DnnDM
 N/O7I41X7NJGAIOjbctj0BAKdMoSmaT9u2qDuXXpfz6WDsLLg/guUxrOvkw/9bu4A1NYs5RrS
 b1LhiinfMXkDHEYKrDRuhTpG21TXOfKwTWw7232yTd/rDyZ1VScSDveZVU3oI20sLqAk7BJ5j
 hj02oYSq0NY0qSkIOjlQ07PJi6RQSoM6BQzv82oXx2XoA8ACALESu4VWpmoIxQwDGOWW49CQC
 N+6HcwNhUqCi0/SCva+A0/1B5xxpY85vpOYNBmx2c6m+mef0vFyluj7KqpS/hhvotAd+GnYEG
 3UpxlD/xh3sRRZaZkgV/+Uv2O9cV8JqbECTXPZXHkHhaVanCIEAmYa+lS+Nd6VkwMDrStbrd0
 Pwws2QnuTTZSh9iHTcjWkH1sYAtJFODONnDAwWxjakUVRNF0+GO4KBjP42hxLI7+xma4TFJDn
 e/9MjQ8ojx1H4dShZ3tn+qeYbdZNvoKTU1w56IDYwXRCMu8mnrg/ZhM1htxA65a9sIVj76F/g
 im5S1VZJdgBaMYChwsypBfqzk0Cx0CREr/h4Vsoxs5LKTPyaFJc1wSX6S/w2mQZwvXPnPGyGt
 4yJZjSUD78DvYLHDLzAq9DEf05irtWUr1SMoHFN5AshmMV+anyljkWnC/ryB8cuidl7Bm2WLT
 lDPGSGCeKojZPAQEglJRiBfcibsUZD2Ee2+LlW4kztyNryYhYVnx3BmDHo3ZBpSc8ATD8iqzW
 9yMuEeHE27kaCbkH6GZbaREblqp+b8FHA8GwJMEouYooahwj2ax7yj61MhGI1/F26GRN213zW
 OwXrrgaqHRfDL2VOV53RIYt6UWbwaxdw9NohihGpckWubzproSkf5Ews2f64at3pmY+7/7+z1
 lsN3tUc9vF33KNODn1E3vP2JF98KbkXLPUl18eLQ52I4FlwlEcy/OGJinlyi4juMzbkc0ZayV
 0G/hYWTOYChrAXzzLFk3lJxjS1FZKTiFqFm0w8A64H5SdEaFLQwB9ZGFYe8jYuIYJvLAerK+d
 revIHPIYOUNJWYSA6oLBYdJwbQ6G0yol65K8IStcFDFFOHt30P9KnWM10gchw50z8i2Lt8Y/0
 JHqjrl4Wr6imj6VLguX5YzkU5DaruzG1EruWfVXd1/PZ68o4uumDQJw2DsD4HMUuocYHjVdAv
 RB3LUBiER0ZfdJnuk9+2Nma/2nx4FW00wHAgHSP2PVqGxX0tHueBVUWdGAZw=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 212.227.15.14
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

On 18.11.19 15:13, Ludovic Court=C3=A8s wrote:
> To isolate the problem, how about:
>
>    1. Defining a Guix package for libgc 8.0.4;
>
>    2. Running =E2=80=9Cguix build guile --with-input=3Dlibgc@7=3Dlibgc@8=
=E2=80=9D (or
>       defining a package along these lines).

I did this and the build was fine as I expected. Guile builds fine
against libgc-8. But building Guix with a guile-libgc8 goes wrong.

I got now this little patch and try to build guix with:
./pre-inst-env guix build guix -K

```
diff --git a/gnu/packages/bdw-gc.scm b/gnu/packages/bdw-gc.scm
index 7196ffcd32..172833780f 100644
=2D-- a/gnu/packages/bdw-gc.scm
+++ b/gnu/packages/bdw-gc.scm
@@ -91,6 +91,19 @@ C or C++ programs, though that is not its primary goal.=
")

     (license (x11-style (string-append home-page "license.txt")))))

+(define-public libgc-8
+  (package
+    (inherit libgc)
+    (version "8.0.4")
+    (name "libgc")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://github.com/ivmai/bdwgc/release=
s"
+                                "/download/v" version "/gc-" version
".tar.gz"))
+            (sha256
+             (base32
+              "1798rp3mcfkgs38ynkbg2p47bq59pisrc6mn0l20pb5iczf0ssj3")))))=
)
+
  (define-public libgc/back-pointers
    (package
      (inherit libgc)
diff --git a/gnu/packages/guile.scm b/gnu/packages/guile.scm
index 4419c48d1a..bc69488fa2 100644
=2D-- a/gnu/packages/guile.scm
+++ b/gnu/packages/guile.scm
@@ -250,6 +250,14 @@ without requiring the source code to be rewritten.")
              (variable "GUILE_LOAD_COMPILED_PATH")
              (files '("lib/guile/2.2/site-ccache")))))))

+(define-public guile-2.2-libgc8
+  (package
+    (inherit guile-2.2)
+    (propagated-inputs
+     `(("libgc" ,libgc-8)
+       ,@(srfi-1:alist-delete "bdw-gc"
+                      (package-propagated-inputs guile-2.2))))))
+
  (define-public guile-2.2/fixed
    ;; A package of Guile 2.2 that's rarely changed.  It is the one used
    ;; in the `base' module, and thus changing it entails a full rebuild.
diff --git a/gnu/packages/package-management.scm
b/gnu/packages/package-management.scm
index 1daab4e879..d80e71749d 100644
=2D-- a/gnu/packages/package-management.scm
+++ b/gnu/packages/package-management.scm
@@ -285,7 +285,7 @@
           ("sqlite" ,sqlite)
           ("libgcrypt" ,libgcrypt)

-         ("guile" ,guile-2.2)
+         ("guile" ,guile-2.2-libgc8)

           ;; Some of the tests use "unshare" when it is available.
           ("util-linux" ,util-linux)
```




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at 36811 <at> debbugs.gnu.org:


Received: (at 36811) by debbugs.gnu.org; 18 Nov 2019 14:13:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 09:13:17 2019
Received: from localhost ([127.0.0.1]:43352 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWhmH-0005HP-81
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 09:13:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43949)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iWhmE-0005Gu-6O
 for 36811 <at> debbugs.gnu.org; Mon, 18 Nov 2019 09:13:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54644)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iWhm8-0003z8-UO; Mon, 18 Nov 2019 09:13:08 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=42374 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iWhm8-00086m-0s; Mon, 18 Nov 2019 09:13:08 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Re: bug#36811: Guix fails to build with libgc 8.0.4
References: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN>
Date: Mon, 18 Nov 2019 15:13:06 +0100
In-Reply-To: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN> (Jonathan
 Brielmaier's message of "Thu, 25 Jul 2019 20:26:15 +0200")
Message-ID: <87o8x9i87h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36811
Cc: bug-guix@HIDDEN, 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Jonathan,

Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> skribis:

> Guix fails to build on Tumbleweed with `make -j4` or a greater thread
> count (see guile_coredump_building_guix.log)
>
> It doesn't fail to build with `make -j3` or less threads and when
> building inside of `guix environment --pure guix`.
>
> I then started to look around what could differ between Tumbleweed and
> guix environment. My first assumption was kind of hit :)
>
> Tumbleweed is built since some days with libgc 8.0.4 and Guix is still
> on 7.6.6. In my home project[0] I have built now Guix (and Guile) with
> libgc 7.6.4, the version Tumbleweed used before. Guix builds now with
> `make -j4` and greater again on Tumbleweed...
>
> So it seems that guile is not compatible with libgc 8.x yet? Is this
> correct?

To isolate the problem, how about:

  1. Defining a Guix package for libgc 8.0.4;

  2. Running =E2=80=9Cguix build guile --with-input=3Dlibgc@7=3Dlibgc@8=E2=
=80=9D (or
     defining a package along these lines).

?

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Nov 2019 14:13:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 09:13:12 2019
Received: from localhost ([127.0.0.1]:43349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWhmB-0005H7-Ra
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 09:13:12 -0500
Received: from lists.gnu.org ([209.51.188.17]:54131)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iWhmA-0005Gy-5z
 for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 09:13:10 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53011)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1iWhm9-0006fb-7N
 for bug-guix@HIDDEN; Mon, 18 Nov 2019 09:13:10 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED,BAYES_20
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54644)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iWhm8-0003z8-UO; Mon, 18 Nov 2019 09:13:08 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=42374 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iWhm8-00086m-0s; Mon, 18 Nov 2019 09:13:08 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Re: bug#36811: Guix fails to build with libgc 8.0.4
References: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN>
Date: Mon, 18 Nov 2019 15:13:06 +0100
In-Reply-To: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN> (Jonathan
 Brielmaier's message of "Thu, 25 Jul 2019 20:26:15 +0200")
Message-ID: <87o8x9i87h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 36811 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Jonathan,

Jonathan Brielmaier <jonathan.brielmaier@HIDDEN> skribis:

> Guix fails to build on Tumbleweed with `make -j4` or a greater thread
> count (see guile_coredump_building_guix.log)
>
> It doesn't fail to build with `make -j3` or less threads and when
> building inside of `guix environment --pure guix`.
>
> I then started to look around what could differ between Tumbleweed and
> guix environment. My first assumption was kind of hit :)
>
> Tumbleweed is built since some days with libgc 8.0.4 and Guix is still
> on 7.6.6. In my home project[0] I have built now Guix (and Guile) with
> libgc 7.6.4, the version Tumbleweed used before. Guix builds now with
> `make -j4` and greater again on Tumbleweed...
>
> So it seems that guile is not compatible with libgc 8.x yet? Is this
> correct?

To isolate the problem, how about:

  1. Defining a Guix package for libgc 8.0.4;

  2. Running =E2=80=9Cguix build guile --with-input=3Dlibgc@7=3Dlibgc@8=E2=
=80=9D (or
     defining a package along these lines).

?

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.
Merged 36811 36812. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jul 2019 18:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 14:26:36 2019
Received: from localhost ([127.0.0.1]:40420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqiRn-00080N-6z
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 14:26:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:37266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1hqiRk-00080E-Ln
 for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 14:26:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58555)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1hqiRi-0003SQ-Uf
 for bug-guix@HIDDEN; Thu, 25 Jul 2019 14:26:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.1 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE,RCVD_IN_SBL_CSS,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jonathan.brielmaier@HIDDEN>) id 1hqiRh-0000t4-21
 for bug-guix@HIDDEN; Thu, 25 Jul 2019 14:26:30 -0400
Received: from mout.web.de ([212.227.15.3]:60093)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jonathan.brielmaier@HIDDEN>)
 id 1hqiRg-0000ph-H8; Thu, 25 Jul 2019 14:26:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564079176;
 bh=VxZXEmkAMv/CcLnVhHEF6SiHYH8MeXwTe75op9k20gw=;
 h=X-UI-Sender-Class:To:From:Subject:Date;
 b=O3/vFigs8QHMSpdP+siiFlUyg//wR1WM8cFOr2zNr2GNDQIIq6+K5NEONZpxHxcSQ
 CZJKEtSKfDlcH1dUx7L+Destyj/HBcu2rlmvNhtN/cxZM/UKhfsS/SKOPEib1ghNaK
 knAIr2zfGKQfUUHzKR+fwjZb3brO9a2Vn9E0HSN4=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from f147.suse.de ([195.135.221.2]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0LrsC6-1iXvfy1FqY-013hNI; Thu, 25
 Jul 2019 20:26:16 +0200
To: bug-guile@HIDDEN, bug-guix <bug-guix@HIDDEN>
From: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>
Subject: Guix fails to build with libgc 8.0.4
Message-ID: <154d15a4-2851-6cc3-16b1-b020e27e02e9@HIDDEN>
Date: Thu, 25 Jul 2019 20:26:15 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.8.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------DD8829ADF8676604C29B9F97"
Content-Language: en-US
X-Provags-ID: V03:K1:mMm0cVNkl5S1vQaXT6s4n1B7kv2p+HTpa9gkJ5UQwNYndINe/Oy
 1Sh/Sel7+x4nd2Z2IRetc0NpgLgRrHrngobYDFLqVt4cvPvm0G7K21F36I7Kl5+ZO0orxMP
 JxQLSqhESoi99Uk2ztnayZNZNWp2XbuSlTstnw0t+/PXv4ZOXZIPDkbgYw2Nv996BXyCmP7
 lm23RF6u5/HAiKo2Tae4A==
X-UI-Out-Filterresults: notjunk:1;V03:K0:YmmZxdQxmGc=:htp0wivqghz36N0QUmpW8m
 fi3/3UFwRFssSi3disbB1ZwuCjzosBDph6n/iQY5f/S07rU2mx6OHS4Dg4ivPos3Ib9apfQI/
 sgTvtRYJawjBq3ixDiwoDw0Fh9XS+dJDq1EDXRHpF4lon85cozuh4T//yC20e7BfOSWTJtcs0
 q91hneFQYFuqSWkT8o7mgULybGm7WK7rTqAVvW/7uBkA+6LlQadyFB+0P9/iX2kJGh90iswLI
 GGp9MumdiuNZU/ilYB1AtRMwh5FhsEMBvQr53JpjmJxInk1jinjGdWDkrAy/X6uepwaJMbNar
 N1hecgWPSszzhx3/czETVEM0+ohiyshWJhpnK7J1YgQ6t/fOHkvbNouG94i37/tBXMCsanHBo
 Wl02Az9vtXqguZWvRGkjo9x9lo2/QMreY/O0lrEk/9la1HKFAoD8irxM3rGRGVxGHjKg6zlev
 yEifCsRJu26dCF7Gc0ZfhyomTcZoLauYMjplHXfyoIUxO8NdBOdy1k+uj9PqVd5q5WJztohpL
 h8MmmfrYBNBQcvz2/b0mL0EFLjrsOrL6Xfd7xJt3UpSD9mZ0DtQRraA4jeFZMaSMJar8WH6yy
 NKe/WhIpCS1FO0aWOZc2J0+0gAoTFaw00FeS740ThM8e4+2vACYLzaQ0P1s8YQEI+YE2jv6VV
 EyJu+6uyvr3XJNxH3mLYyke3uYEsIN9KEvnxZqlAG3Xy/znUqyGbvp74Ab741GyWaK8DIzc0Q
 acDQ/YW+gAq4gBHZjpVMXC5xXJ+kJR0+YHq0Cc2SIeb3nCtF9dYecQnuVp5As8XK2Fferj4Ca
 IR1t1pHKXh/rpRXg/nGK2q00T1sihqAEfgKj1BZDxFrgKznE8zeYd9biKWzYcevIBELYHTyDs
 Lc7W3P2ihs2Nij9IP1qODyvEXtP8jpfYl7sHNY2W964NMneACRP+3CT3exQ8zb4CETHiEFUJr
 s5cqzcBAXwOF5vnpIek9vpxouMBZkK4gR3tLkZ0mGsW1MAZ48tvRNxox4pwvzQQgcV7UqZ0a2
 LU62EzLSu1QkFUroa0u/CWwkUtBPUFlD7vUvyMUR6g4DG2jCstoe8RVpZemzzjwz1zvxOHwR5
 0vpBjLiIRZ2w1M=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 212.227.15.3
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Some days ago Guix failed to build on openSUSE Tumbleweed.
 Today I started to investigate it. Guix fails to build on Tumbleweed with
 `make -j4` or a greater thread count (see guile_coredump_building_guix.log)
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: opensuse.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [195.135.221.2 listed in zen.spamhaus.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=jonathan.brielmaier%40web.de; ip=209.51.188.17; r=debbugs.gnu.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (jonathan.brielmaier[at]web.de)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Some days ago Guix failed to build on openSUSE Tumbleweed.
    Today I started to investigate it. Guix fails to build on Tumbleweed with
    `make -j4` or a greater thread count (see guile_coredump_building_guix.log)
    
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: opensuse.org]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
                             medium trust
                             [209.51.188.17 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [195.135.221.2 listed in zen.spamhaus.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;id=jonathan.brielmaier%40web.de;ip=209.51.188.17;r=debbugs.gnu.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (jonathan.brielmaier[at]web.de)
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

This is a multi-part message in MIME format.
--------------DD8829ADF8676604C29B9F97
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

Some days ago Guix failed to build on openSUSE Tumbleweed. Today I
started to investigate it.

Guix fails to build on Tumbleweed with `make -j4` or a greater thread
count (see guile_coredump_building_guix.log)

It doesn't fail to build with `make -j3` or less threads and when
building inside of `guix environment --pure guix`.

I then started to look around what could differ between Tumbleweed and
guix environment. My first assumption was kind of hit :)

Tumbleweed is built since some days with libgc 8.0.4 and Guix is still
on 7.6.6. In my home project[0] I have built now Guix (and Guile) with
libgc 7.6.4, the version Tumbleweed used before. Guix builds now with
`make -j4` and greater again on Tumbleweed...

So it seems that guile is not compatible with libgc 8.x yet? Is this
correct?

I wanted to update libgc in guix but it has 5k dependencies, so I did not :P

Any Ideas how to fix this? Do you need any further information from me?

Cheers Jonathan

[0] https://build.opensuse.org/project/show/home:jbrielmaier:guix




--------------DD8829ADF8676604C29B9F97
Content-Type: text/x-log;
 name="guile_coredump_building_guix.log"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="guile_coredump_building_guix.log"

Core was generated by `/usr/bin/guile -L . -L . --no-auto-compile -s ./bui=
ld-aux/compile-all.scm guix/'.
Program terminated with signal SIGABRT, Aborted.
#0  __GI_raise (sig=3Dsig@entry=3D6) at ../sysdeps/unix/sysv/linux/raise.c=
:50
50	  return ret;
[Current thread is 1 (Thread 0x7f3126d79700 (LWP 3968))]
(gdb) bt
#0  __GI_raise (sig=3Dsig@entry=3D6) at ../sysdeps/unix/sysv/linux/raise.c=
:50
#1  0x00007f313e9b5549 in __GI_abort () at abort.c:79
#2  0x00007f313e5e95e1 in GC_unmap (start=3D<optimized out>, bytes=3D<opti=
mized out>) at extra/../os_dep.c:2576
#3  GC_unmap (start=3D<optimized out>, bytes=3D<optimized out>) at extra/.=
./os_dep.c:2535
#4  0x00007f313e5fb3f9 in GC_unmap_old () at extra/../allchblk.c:419
#5  GC_unmap_old () at extra/../allchblk.c:400
#6  GC_finish_collection () at extra/../alloc.c:1115
#7  0x00007f313e5fba05 in GC_try_to_collect_inner (stop_func=3D0x7f313e5f2=
6a0 <GC_never_stop_func>)
    at extra/../alloc.c:553
#8  GC_try_to_collect_inner (stop_func=3Dstop_func@entry=3D0x7f313e5f26a0 =
<GC_never_stop_func>) at extra/../alloc.c:485
#9  0x00007f313e5fe0b6 in GC_grow_table (table=3Dtable@entry=3D0x7f313e64c=
300 <GC_fnlz_roots>,
    log_size_ptr=3Dlog_size_ptr@entry=3D0x7f313e60a888 <log_fo_table_size>=
,
    entries_ptr=3Dentries_ptr@entry=3D0x7f313e64c2f0 <GC_fo_entries>) at e=
xtra/../finalize.c:133
#10 0x00007f313e5fe4ba in GC_register_finalizer_inner (obj=3D0x7f312dba27a=
0, fn=3D0x7f313e8ff380 <finalize_bignum>,
    cd=3D0x0, ofn=3D0x7f3126d785e0, ocd=3D0x7f3126d785d8, mp=3D0x7f313e5f2=
690 <GC_null_finalize_mark_proc>)
    at extra/../finalize.c:703
#11 0x00007f313e5fea9c in GC_register_finalizer_no_order (obj=3D<optimized=
 out>, fn=3D<optimized out>,
    cd=3D<optimized out>, ofn=3D<optimized out>, ocd=3D<optimized out>) at=
 extra/../finalize.c:844
#12 0x00007f313e91a683 in scm_i_set_finalizer (obj=3D<optimized out>, proc=
=3D<optimized out>, data=3D<optimized out>)
    at finalizers.c:53
#13 0x00007f313e8fd30e in make_bignum () at numbers.c:265
#14 scm_i_mkbig () at numbers.c:275
#15 scm_logior (n1=3D<optimized out>, n2=3D0x7f312dba2840) at numbers.c:44=
39
#16 0x00007f313e8ba25f in vm_regular_engine (thread=3D0x2, vp=3D0x7f312b1d=
0e10, registers=3D0x0, resume=3D1050459601)
    at vm-engine.c:2575
#17 0x00007f313e8ab660 in scm_call_n (proc=3D<optimized out>, argv=3D<opti=
mized out>, nargs=3D0) at vm.c:1260
#18 0x00007f313e93874e in scm_call_with_unblocked_asyncs (proc=3D0x7f3135c=
d3f20) at async.c:400
#19 0x00007f313e8b637f in vm_regular_engine (thread=3D0x2, vp=3D0x7f312b1d=
0e10, registers=3D0x0, resume=3D1050459601)
    at vm-engine.c:786
#20 0x00007f313e8ab660 in scm_call_n (proc=3D<optimized out>, argv=3D<opti=
mized out>, nargs=3D0) at vm.c:1260
#21 0x00007f313e8bee56 in really_launch (d=3D0x7f3135cad9c0) at threads.c:=
794
#22 0x00007f313e92c29a in c_body (d=3D0x7f3126d78e40) at continuations.c:4=
22
=2D-Type <RET> for more, q to quit, c to continue without paging--
#23 0x00007f313e8b637f in vm_regular_engine (thread=3D0x2, vp=3D0x7f312b1d=
0e10, registers=3D0x0, resume=3D1050459601)
    at vm-engine.c:786
#24 0x00007f313e8ab660 in scm_call_n (proc=3D<optimized out>, argv=3D<opti=
mized out>, nargs=3D0) at vm.c:1260
#25 0x00007f313e8bbaf3 in catch (tag=3D<optimized out>, thunk=3D0x7f3135cc=
3620, handler=3D0x7f3135cc3600,
    pre_unwind_handler=3D0x7f3135cc3400) at throw.c:137
#26 0x00007f313e931745 in scm_i_with_continuation_barrier (body=3Dbody@ent=
ry=3D0x7f313e92c290 <c_body>,
    body_data=3Dbody_data@entry=3D0x7f3126d78e40, handler=3Dhandler@entry=
=3D0x7f313e931650 <c_handler>,
    handler_data=3Dhandler_data@entry=3D0x7f3126d78e40,
    pre_unwind_handler=3Dpre_unwind_handler@entry=3D0x7f313e931560 <pre_un=
wind_handler>,
    pre_unwind_handler_data=3D0x7f313a50da20) at continuations.c:360
#27 0x00007f313e931a55 in scm_c_with_continuation_barrier (func=3D<optimiz=
ed out>, data=3D<optimized out>)
    at continuations.c:456
#28 0x00007f313e8bf156 in with_guile (base=3D0x7f3126d78ea0, data=3D0x7f31=
26d78ed0) at threads.c:661
#29 0x00007f313e5eedc7 in GC_call_with_stack_base (fn=3Dfn@entry=3D0x7f313=
e8bf080 <with_guile>,
    arg=3Darg@entry=3D0x7f3126d78ed0) at extra/../misc.c:2106
#30 0x00007f313e8bc2dd in scm_i_with_guile (dynamic_state=3D<optimized out=
>, data=3D0x7f3135cad9c0,
    func=3D0x7f313e8bede0 <really_launch>) at threads.c:704
#31 launch_thread (d=3D0x7f3135cad9c0) at threads.c:803
#32 0x00007f313e212faa in start_thread (arg=3D<optimized out>) at pthread_=
create.c:486
#33 0x00007f313ea8d73f in clone () at ../sysdeps/unix/sysv/linux/x86_64/cl=
one.S:95


--------------DD8829ADF8676604C29B9F97--




Acknowledgement sent to Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#36811; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 6 Feb 2020 14:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.